Page MenuHomePhabricator

interactive graphs button cleanup
Closed, ResolvedPublic

Description

For the interactive graphs, I think we should follow the standard set by the videos - show the graph with a gray-out (transparent?) effect, with a big "play" button in the middle. Once clicked, the graph becomes non-grayed (thus indicating that it finished loading), or we could change it to non-grayed on mouse over, and show a loading bar when clicked. Also, instead of the "play" button, we could experiment with a "gears" button, possibly even spinning ones. Once we have many interactive graphs, we could do an a/b test on this.

Details

Related Gerrit Patches:
mediawiki/extensions/Graph : masterModifies Play button and layover because the previous layover was hiding the static graph
mediawiki/extensions/Graph : wmf/1.27.0-wmf.8Interactive graphs button cleanup
mediawiki/extensions/Graph : masterInteractive graphs button cleanup

Event Timeline

Yurik created this task.Dec 2 2015, 11:39 PM
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added subscribers: Yurik, JGirault.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 11:39 PM
MSyed set Security to None.Dec 4 2015, 10:37 PM
MSyed added a subscriber: MSyed.

Hey I made some quick mocks with Julien. They are attached here.

Interactive graphs is super cool and I'm really excited to get this up!

Change 257386 had a related patch set uploaded (by JGirault):
Interactive graphs button cleanup

https://gerrit.wikimedia.org/r/257386

Change 257777 had a related patch set uploaded (by Yurik):
Interactive graphs button cleanup

https://gerrit.wikimedia.org/r/257777

Change 257386 merged by jenkins-bot:
Interactive graphs button cleanup

https://gerrit.wikimedia.org/r/257386

Change 257777 merged by jenkins-bot:
Interactive graphs button cleanup

https://gerrit.wikimedia.org/r/257777

Well done @JGirault & @MSyed! The new design is on the train being deployed.

Yet, I feel we are ignoring a big class of interactive graphs that will suffer from this design - graphs that are useful in both the static and in interactive mode. For example, tooltip, budget, and crossfilter graphs show useful information by themselves, but allow user to see a bit more interactively. Should we make them blink once on load and show non-grayed-out unless the user mouse-over?

Yurik added a comment.Jan 6 2016, 3:07 AM

Here's is an example of how video tag is done - i think we should have exactly the same one: http://tools.wmflabs.org/hartman/mediawiki-dev/index.php?title=Player_demo

Change 263079 had a related patch set uploaded (by JGirault):
Modifies Play button and layover because the previous layover was hiding the static graph

https://gerrit.wikimedia.org/r/263079

Change 263079 merged by jenkins-bot:
Modifies Play button and layover because the previous layover was hiding the static graph

https://gerrit.wikimedia.org/r/263079

Yurik closed this task as Resolved.Jan 8 2016, 8:22 PM
Yurik claimed this task.